package de.kreawi.trainer.dialogs.history;

import java.util.Map;

import javax.swing.Action;

import de.kreawi.trainer.TrainerFrame;
import de.kreawi.trainer.TrainerFrame.Actions;
import de.kreawi.trainer.TrainerModel;

public class TextHistoryDialog extends HistoryDialog {

	private static final long serialVersionUID = -3339959834837239738L;

  public TextHistoryDialog(TrainerFrame mainframe, TrainerModel model, Map<Actions, Action> actionMap) {
    super(mainframe, model, actionMap);
  }

	@Override
	protected AbstractHistoryTableModel getHistoryTableModel() {
		return new TextQuizHistoryTableModel(this.model);
	}

}
