package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.scene.text.TextAlignment;
import javafx.scene.text.TextFlow;

public class OGLabel extends TextFlow {
  
  public OGLabel(final String caption) {
    super();
    
    final Text text = new Text(caption);
    text.setFill(Color.web("#333"));
    text.setFont(Font.font("Arial, sans-serif", 12d));
    getChildren().add(text);
    
    setTextAlignment(TextAlignment.CENTER);
    
    // TODO: linear-gradient  ????
    setStyle("-fx-background-radius: 10; -fx-background-color: #bbd; -fx-padding: 3 7 3 7");

  }
}
