package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.layout.HBox;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;

public class Subheader extends HBox {

  public Subheader(final String caption) {
    
    setAlignment(Pos.CENTER_LEFT);
    setMinHeight(30);
    
    final Text text = new Text(caption);
    text.setFont(Font.font("Arial", FontWeight.BOLD, 14));
    text.setFill(Color.web("#555"));
    getChildren().add(text);
    HBox.setMargin(text, new Insets(0, 0, 0, 20));
    
  }
  
}
