package de.kreawi.trainer.onlinegame;

import java.util.List;

import de.kreawi.trainer.onlinegame.entities.OnlineGameQuiz;
import de.kreawi.trainer.onlinegame.entities.OnlineGameUser;

public interface OnlineGamePersistence {
  
  List<OnlineGameQuiz> getCurrentQuizzes();
  
  List<OnlineGameQuiz> getFinishedQuizzes();
  
  void addNewQuiz(OnlineGameQuiz quiz);
  
  void updateQuiz(OnlineGameQuiz quiz);
  
  void removeQuiz(OnlineGameQuiz quiz);
  

  
  public OnlineGameUser getUser(final String id);

  void updateOrInsertUser(OnlineGameUser user);

  OnlineGameSettings getSettings();

  void resetAllData();

}