package de.kreawi.trainer.onlinegame.entities;

public class OnlineGameRoundScore {
  
  private String userId;
  
  private String quizChallengeId;
  
  private int roundNo;
  
  private String timeTaken;
  
  private String rightQuestions;
  
  private String wrongQuestions;
  
  private OnlineGameQuestionResult[] questionModel;

  public OnlineGameRoundScore(String userId, String quizChallengeId, int roundNo, String timeTaken,
      String rightQuestions, String wrongQuestions, OnlineGameQuestionResult[] questionModel) {
    this.userId = userId;
    this.quizChallengeId = quizChallengeId;
    this.roundNo = roundNo;
    this.timeTaken = timeTaken;
    this.rightQuestions = rightQuestions;
    this.wrongQuestions = wrongQuestions;
    this.questionModel = questionModel;
  }

  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public String getQuizChallengeId() {
    return quizChallengeId;
  }

  public void setQuizChallengeId(String quizChallengeId) {
    this.quizChallengeId = quizChallengeId;
  }

  public int getRoundNo() {
    return roundNo;
  }

  public void setRoundNo(int roundNo) {
    this.roundNo = roundNo;
  }

  public String getTimeTaken() {
    return timeTaken;
  }

  public void setTimeTaken(String timeTaken) {
    this.timeTaken = timeTaken;
  }

  public String getRightQuestions() {
    return rightQuestions;
  }

  public void setRightQuestions(String rightQuestions) {
    this.rightQuestions = rightQuestions;
  }

  public String getWrongQuestions() {
    return wrongQuestions;
  }

  public void setWrongQuestions(String wrongQuestions) {
    this.wrongQuestions = wrongQuestions;
  }

  public OnlineGameQuestionResult[] getQuestionModel() {
    return questionModel;
  }

  public void setQuestionModel(OnlineGameQuestionResult[] questionModel) {
    this.questionModel = questionModel;
  }
  
}
