package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import javafx.scene.Node;
import javafx.scene.control.ScrollPane;

public class OnlineGameScrollPane extends ScrollPane {
  
  public OnlineGameScrollPane() {
    this(null);
  }
  
  public OnlineGameScrollPane(final Node content) {
    super(content);

    setHbarPolicy(ScrollBarPolicy.NEVER);
    setVbarPolicy(ScrollBarPolicy.ALWAYS);
    setFitToWidth(true);
    
    // apply same gradient as internal frame to list
    getStyleClass().add("kif_content");
    // kif_content_with_title for rounded corners only on bottom
    getStyleClass().add("kif_content_with_title");
    
//    content.setOnScroll(new EventHandler<ScrollEvent>() {
//      @Override
//      public void handle(ScrollEvent event) {
//        double deltaY = event.getDeltaY()*2; // *2 to make the scrolling a bit faster
////        double width = content.getBoundsInLocal().getWidth();
//        double vvalue = OnlineGameScrollPane.this.getVvalue();
//        OnlineGameScrollPane.this.setVvalue(vvalue + -deltaY); // deltaY/width to make the scrolling equally fast regardless of the actual width of the component
//      }
//    });
    
  }
  
}
