package de.kreawi.trainer.onlinegame.net;

import de.kreawi.trainer.onlinegame.entities.OnlineGameServerError;

public class OnlineGameCommunicatorException extends Exception {

  private OnlineGameServerError serverError;

  public OnlineGameCommunicatorException(OnlineGameServerError serverError) {
    this.setServerError(serverError);
  }

  public OnlineGameServerError getServerError() {
    return serverError;
  }

  public void setServerError(OnlineGameServerError serverError) {
    this.serverError = serverError;
  }
  
  public String getServerMessage() {
    if (this.serverError != null) {
      return serverError.getMessage();
    } else {
      return "";
    }
    
  }
  
}
