package de.kreawi.trainer.util;

import de.martinknauer.util.TextResources;

public final class TrainerTextResources {

	public static final String BUNDLE_NAME = "de.kreawi.trainer.resources.textresources";

	private TrainerTextResources() {
	}

	public static String getString(String key) {
		return TextResources.getInstance(BUNDLE_NAME).getString(key);
	}

	public static String getStringWithSubstitution(String key, String substitute) {
		return TextResources.getInstance(BUNDLE_NAME)
				.getStringWithSubstitution(key, substitute);
	}

	public static String getStringWithSubstitution(String key,
			String[] substitutes) {
		return TextResources.getInstance(BUNDLE_NAME)
				.getStringWithSubstitution(key, substitutes);
	}
}
