package de.kreawi.trainer.util.swingx;

import java.util.regex.Pattern;

import org.jdesktop.swingx.JXTable;
import org.jdesktop.swingx.decorator.PatternFilter;

public class RowStringFiltering extends AbstractStringFiltering {
	public RowStringFiltering(JXTable table) {
		super(table);
	}

	protected PatternFilter createSearchFilter(final String filterString) {

		return new RowPatternFilter(".*" + filterString + ".*",
				Pattern.CASE_INSENSITIVE, this.table.getColumnCount());

	}

}
