package de.kreawi.trainer.util.swingx;

import java.awt.GraphicsConfiguration;
import java.awt.Insets;
import java.awt.Rectangle;
import java.awt.Toolkit;

public class WindowToolkit {
  
  public static Rectangle getAvailableWindowArea(final GraphicsConfiguration gc) {
    Rectangle bounds = gc.getBounds();
    
    Insets screenInsets = Toolkit.getDefaultToolkit().getScreenInsets(gc);
    
    Rectangle effectiveScreenArea = new Rectangle();
    
    effectiveScreenArea.x = bounds.x + screenInsets.left;
    effectiveScreenArea.y = bounds.y + screenInsets.top;
    effectiveScreenArea.height = bounds.height - screenInsets.top - screenInsets.bottom;        
    effectiveScreenArea.width = bounds.width - screenInsets.left - screenInsets.right;
    
    return effectiveScreenArea;
  }
  
}
